org.crosswire.common.xml

## Class XMLProcess

- java.lang.Object
- - org.crosswire.common.xml.XMLProcess

-     public class XMLProcess
      extends Object

  Runs an xml parser on an xml file using an xml handler. The default behavior is to check that the xml file is well-formed.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private XMLHandlerAdapter` | `adapter`
    `private String` | `adapterName`
    `private static String` | `DECLARATION_HANDLER_PROPERTY_ID` Declaration handler property id
    `private static String` | `DEFAULT_HANDLER_NAME`
    `private static String` | `DEFAULT_PARSER_NAME` Default parser name.
    `private XMLFeatureSet` | `features`
    `private static String` | `LEXICAL_HANDLER_PROPERTY_ID` Lexical handler property id
    `private XMLReader` | `parser`
    `private String` | `parserName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLProcess()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `private void` | `bind()`
    `private void` | `createAdapter()`
    `private void` | `createParser()`
    `XMLFeatureSet` | `getFeatures()`
    `private void` | `initialize(String[] argv)`
    `static void` | `main(String[] argv)` Process an xml file according to the arguments.
    `void` | `parse(String xmlFile)`
    `void` | `printActual()`
    `void` | `printDefaults()`
    `void` | `printUsage()`
    `private void` | `setHandlers()`
    `private void` | `usage()` Prints the usage.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LEXICAL_HANDLER_PROPERTY_ID

          private static final String LEXICAL_HANDLER_PROPERTY_ID

      Lexical handler property id
      See Also:
        Constant Field Values

    - #### DECLARATION_HANDLER_PROPERTY_ID

          private static final String DECLARATION_HANDLER_PROPERTY_ID

      Declaration handler property id
      See Also:
        Constant Field Values

    - #### DEFAULT_PARSER_NAME

          private static final String DEFAULT_PARSER_NAME

      Default parser name.
      See Also:
        Constant Field Values

    - #### DEFAULT_HANDLER_NAME

          private static final String DEFAULT_HANDLER_NAME

      See Also:
        Constant Field Values

    - #### parserName

          private String parserName

    - #### parser

          private XMLReader parser

    - #### adapterName

          private String adapterName

    - #### adapter

          private XMLHandlerAdapter adapter

    - #### features

          private XMLFeatureSet features

  - ### Constructor Detail

    - #### XMLProcess

          public XMLProcess()

  - ### Method Detail

    - #### getFeatures

          public XMLFeatureSet getFeatures()

      Returns:
        Returns the features.

    - #### main

          public static void main(String[] argv)

      Process an xml file according to the arguments.
      Parameters:
        `argv` - the command-line arguments

    - #### initialize

          private void initialize(String[] argv)

    - #### bind

          private void bind()

    - #### createParser

          private void createParser()

    - #### createAdapter

          private void createAdapter()

    - #### setHandlers

          private void setHandlers()

    - #### parse

          public void parse(String xmlFile)

    - #### usage

          private void usage()

      Prints the usage.

    - #### printUsage

          public void printUsage()

    - #### printDefaults

          public void printDefaults()

    - #### printActual

          public void printActual()